pangomm: Pango::CairoFontMap Class Reference

# Pango::CairoFontMap Class Reference

A Pango::CairoFontMap represents the set of fonts available for a particular rendering system. More...

Inherits Glib::Interface.

Collaboration diagram for Pango::CairoFontMap:
[legend]

List of all members.

## Public Member Functions

virtual | ~CairoFontMap ()
PangoCairoFontMap* | gobj ()
| Provides access to the underlying C GObject.
const PangoCairoFontMap* | gobj () const
| Provides access to the underlying C GObject.
void | set_default ()
| Sets a default Pango::CairoFontMap to use with Cairo.
Cairo::FontType | get_font_type () const
| Gets the type of Cairo font backend that fontmap uses.
void | set_resolution (double dpi)
| Sets the resolution for the fontmap.
double | get_resolution () const
| Gets the resolution for the fontmap.
Glib::RefPtr< Context > | create_context ()
| Create a Pango::Context for the given fontmap.

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr< Pango::CairoFontMap > | wrap (PangoCairoFontMap* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Pango::CairoFontMap represents the set of fonts available for a particular rendering system.

## Constructor & Destructor Documentation

virtual Pango::CairoFontMap::~CairoFontMap | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Pango::CairoFontMap::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Glib::RefPtr<Context> Pango::CairoFontMap::create_context | ( |  | ) |

Create a Pango::Context for the given fontmap.

Since pangomm 1.10:

Deprecated: 1.22: Use Pango::FontMap::create_context() instead.

Returns:
  The newly created context; free with Glib::object_unref().

Cairo::FontType Pango::CairoFontMap::get_font_type | ( |  | ) | const

Gets the type of Cairo font backend that fontmap uses.

Since pangomm 1.18:

Returns:
  The cairo_font_type_t cairo font backend type.

double Pango::CairoFontMap::get_resolution | ( |  | ) | const

Gets the resolution for the fontmap.

See set_resolution()

Since pangomm 1.10:

Returns:
  The resolution in "dots per inch".

const PangoCairoFontMap* Pango::CairoFontMap::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

PangoCairoFontMap* Pango::CairoFontMap::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

void Pango::CairoFontMap::set_default | ( |  | ) |

Sets a default Pango::CairoFontMap to use with Cairo.

This can be used to change the Cairo font backend that the default fontmap uses for example. The old default font map is unreffed and the new font map referenced.

A value of `0` for fontmap will cause the current default font map to be released and a new default font map to be created on demand, using new().

Since pangomm 1.22:

void Pango::CairoFontMap::set_resolution | ( | double | dpi | ) |

Sets the resolution for the fontmap.

This is a scale factor between points specified in a Pango::FontDescription and Cairo units. The default value is 96, meaning that a 10 point font will be 13 units high. (10* 96. / 72. = 13.3).

Since pangomm 1.10:

Parameters:

  | dpi | The resolution in "dots per inch". (Physical inches aren't actually involved; the terminology is conventional.).

## Friends And Related Function Documentation

Glib::RefPtr< Pango::CairoFontMap > wrap | ( | PangoCairoFontMap * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- pangomm/cairofontmap.h